> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heydollr.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Payout



## OpenAPI

````yaml https://api.heydollr.app/openapi.json post /{version}/executions/payout
openapi: 3.1.0
info:
  title: Dollr Open API
  version: 1.0.0
servers: []
security: []
paths:
  /{version}/executions/payout:
    post:
      tags:
        - executions
      summary: Payout
      operationId: payout__version__executions_payout_post
      parameters:
        - name: version
          in: path
          required: true
          schema:
            const: v1
            type: string
            title: API version
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PayoutExecutionPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExecutionResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    PayoutExecutionPayload:
      properties:
        session_id:
          type: string
          title: Session Id
        payout_account_id:
          type: string
          title: Payout Account Id
        reference_id:
          type: string
          title: Reference Id
          description: A version-4 UUID (e.g. 550e8400-e29b-41d4-a716-446655440000)
        passcode:
          $ref: >-
            #/components/schemas/DollrPaymentModelsWithDeviceVerifyPasscodePayloadWithDeviceVerifyPasscodePayload
      type: object
      required:
        - session_id
        - payout_account_id
        - reference_id
        - passcode
      title: PayoutExecutionPayload
      description: PayoutExecutionPayload
    ExecutionResponse:
      properties:
        reference_id:
          type: string
          title: Reference Id
        provider_transaction_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Provider Transaction Id
        status:
          type: string
          title: Status
        payer_amount:
          anyOf:
            - type: number
            - type: integer
          title: Payer Amount
        payer_currency:
          type: string
          title: Payer Currency
        payee_currency:
          type: string
          title: Payee Currency
        payee_amount:
          anyOf:
            - type: number
            - type: integer
          title: Payee Amount
        operation_type:
          type: string
          title: Operation Type
        gateway_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Gateway Message
        wallet_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Wallet Message
        client_secret:
          anyOf:
            - type: string
            - type: 'null'
          title: Client Secret
        requires_action:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Requires Action
      type: object
      required:
        - reference_id
        - status
        - payer_amount
        - payer_currency
        - payee_currency
        - payee_amount
        - operation_type
      title: ExecutionResponse
      description: ExecutionResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DollrPaymentModelsWithDeviceVerifyPasscodePayloadWithDeviceVerifyPasscodePayload:
      properties:
        token:
          $ref: >-
            #/components/schemas/DollrPaymentModelsVerifyPasscodePayloadVerifyPasscodePayload
        device:
          $ref: '#/components/schemas/WithDevicePayload'
      type: object
      required:
        - token
        - device
      title: >-
        DollrPaymentModelsWithDeviceVerifyPasscodePayloadWithDeviceVerifyPasscodePayload
      description: WithDeviceVerifyPasscodePayload
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    DollrPaymentModelsVerifyPasscodePayloadVerifyPasscodePayload:
      properties:
        user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: User Id
        phone:
          anyOf:
            - type: string
              maxLength: 15
              minLength: 8
            - type: 'null'
          title: Phone
        code:
          type: string
          format: password
          title: Code
          writeOnly: true
      type: object
      required:
        - code
      title: DollrPaymentModelsVerifyPasscodePayloadVerifyPasscodePayload
      description: VerifyPasscodePayload
    WithDevicePayload:
      properties:
        name:
          type: string
          title: Name
        type:
          type: string
          title: Type
        platform:
          type: string
          title: Platform
        user_agent:
          type: string
          title: User Agent
        client_ip:
          type: string
          title: Client Ip
      type: object
      required:
        - name
        - type
        - platform
        - user_agent
        - client_ip
      title: WithDevicePayload
      description: WithDevicePayload
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````